Bug 638666 - Review Request: whois - Improved WHOIS client
Summary: Review Request: whois - Improved WHOIS client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Felix Kaechele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-29 15:42 UTC by Petr Pisar
Modified: 2011-03-12 04:43 UTC (History)
5 users (show)

Fixed In Version: whois-5.0.11-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-07 10:33:05 UTC
felix: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2010-09-29 15:42:29 UTC
Spec URL: http://ppisar.fedorapeople.org/whois/whois.spec
SRPM URL: http://ppisar.fedorapeople.org/whois/whois-5.0.7-1.fc13.src.rpm
Description:
Searches for an object in a RFC 3912 database.

This version of the WHOIS client tries to guess the right server to ask for
the specified object. If no guess can be made it will connect to
whois.networksolutions.com for NIC handles or whois.arin.net for IPv4
addresses and network names.


Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2496900

$ rpmlint whois.spec ../SRPMS/whois-5.0.7-1.fc13.src.rpm ../RPMS/x86_64/whois-5.0.7-1.fc13.x86_64.rpm 
whois.spec: W: no-cleaning-of-buildroot %install
whois.spec: W: no-cleaning-of-buildroot %clean
whois.spec: W: no-buildroot-tag
whois.spec: W: no-%clean-section
whois.src: W: name-repeated-in-summary C WHOIS
whois.src: W: spelling-error %description -l en_US networksolutions -> network solutions, network-solutions, counterrevolutions
whois.src: W: spelling-error %description -l en_US arin -> rain, ain, Darin
whois.src: W: no-cleaning-of-buildroot %install
whois.src: W: no-cleaning-of-buildroot %clean
whois.src: W: no-buildroot-tag
whois.src: W: no-%clean-section
whois.x86_64: W: name-repeated-in-summary C WHOIS
whois.x86_64: W: spelling-error %description -l en_US networksolutions -> network solutions, network-solutions, counterrevolutions
whois.x86_64: W: spelling-error %description -l en_US arin -> rain, ain, Darin
2 packages and 1 specfiles checked; 0 errors, 14 warnings.

This is post-F12 spec file, thus no BuilRoot defined.
The `WHOIS' word is official name of Internet service coinciding with package name.
`networksolutions' and  `arin' are literal domain names.

$ rpm -pqlv ../RPMS/x86_64/whois-5.0.7-1.fc13.x86_64.rpm
-rw-r--r--    1 root    root                      343 čec 17  2008 /etc/whois.conf
-rwxr-xr-x    1 root    root                        0 zář 29 17:18 /usr/bin/whois
-rwxr-xr-x    1 root    root                    55016 zář 29 17:18 /usr/bin/whois.md
drwxr-xr-x    2 root    root                        0 zář 29 17:18 /usr/share/doc/whois-5.0.7
-rw-r--r--    1 root    root                    17992 bře 14  2003 /usr/share/doc/whois-5.0.7/COPYING
-rw-r--r--    1 root    root                     1016 led 28  2010 /usr/share/doc/whois-5.0.7/README
-rw-r--r--    1 root    root                    36433 srp  9 00:58 /usr/share/doc/whois-5.0.7/changelog
-rw-r--r--    1 root    root                      206 bře 23  2008 /usr/share/doc/whois-5.0.7/copyright
-rw-r--r--    1 root    root                     9003 zář 29 17:18 /usr/share/locale/cs/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     8730 zář 29 17:18 /usr/share/locale/de/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     8368 zář 29 17:18 /usr/share/locale/el/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     9327 zář 29 17:18 /usr/share/locale/es/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     2297 zář 29 17:18 /usr/share/locale/eu/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     8234 zář 29 17:18 /usr/share/locale/fi/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     9355 zář 29 17:18 /usr/share/locale/fr/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     8349 zář 29 17:18 /usr/share/locale/it/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     6390 zář 29 17:18 /usr/share/locale/ja/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                      745 zář 29 17:18 /usr/share/locale/no/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     8620 zář 29 17:18 /usr/share/locale/pl/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     6516 zář 29 17:18 /usr/share/locale/pt_BR/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                    11111 zář 29 17:18 /usr/share/locale/ru/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                     6454 zář 29 17:18 /usr/share/locale/zh_CN/LC_MESSAGES/whois.mo
-rw-r--r--    1 root    root                       20 zář 29 17:18 /usr/share/man/man1/whois.1.gz
-rw-r--r--    1 root    root                     2045 zář 29 17:18 /usr/share/man/man1/whois.md.1.gz

The %{_bindir}/whois and %{_mandir}/man1/whois.1.gz are %ghost symlinks for alternative files.

The alternation generic name is `whois' (and `whois-man' for slave manual page), suffix for this alternative is `.md', priority for this alternative is 30.

This package is alternative to `jwhois' package providing the same (in sense of purpose and name) executable and manual page. jwhois package owner `vcrhonek' has been notified and discussed.

jwhois will be alternified with higher priority to preserve current user's experience.

Comment 1 Bill Nottingham 2010-09-29 16:50:43 UTC
... is there really a reason to have multiple alternatives here? Just pick one and ship one.

Comment 2 Petr Pisar 2010-09-30 07:24:37 UTC
At first jwhois has been unusable in Red Hat corporate network because of bug #624608. Secondly, why do not enable competition of concurrent software? At third, jwhois misses some features (like requesting raw unfiltered data). And last but not least, I like Marco's client and I maintain its Czech translation.

Comment 3 Bill Nottingham 2010-10-04 15:24:56 UTC
Then either fix jwhois, or ship whois. Forcing people to compare and pick which sets of bugs they would prefer to deal with is just silly.

Comment 4 Petr Pisar 2010-10-04 15:52:15 UTC
Yeah, one foo suits to all of them. Where did I heard it :)

Have you compared the two sets? Is jwhois with last release in year 2007 with 5 patches on top superior to Marco's whois released on August, 2010? (And I did not compare list of TLD whois servers which must be really out-dated.)

Poor user could be confused by selecting between two whois clients. Have you considered removing all web clients in favour to one implementation from Fedora? That would be great idea!

Comment 5 Bill Nottingham 2010-10-04 16:07:48 UTC
I'm saying if this new one is clearly better, we should just switch to it, and leave jwhois as jwhois if someone really wants to maintain it (no alternatives). It's a whois client, it's not a web browser.

Comment 6 Felix Kaechele 2010-10-15 17:36:36 UTC
I'd definitely opt for replacing jwhois with whois since jwhois seems to be dead upstream.
I'd also be willing to take the review in this case.

Comment 7 Petr Pisar 2010-11-10 17:35:16 UTC
jwhois packager accepted my patch for package alternation in Fedora 15
(https://koji.fedoraproject.org/koji/buildinfo?buildID=204302).

Feel free to start reviewing.

Comment 8 Felix Kaechele 2010-11-10 17:46:02 UTC
Will do!

Comment 9 Felix Kaechele 2010-12-04 11:27:15 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on: i686 x86_64
[x]  Rpmlint output:
	whois.src: W: no-cleaning-of-buildroot %install
	whois.src: W: no-cleaning-of-buildroot %clean
	whois.src: W: no-buildroot-tag
	whois.src: W: no-%clean-section
	Which is okay for F14
[x]  Package is not relocatable.
[-]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[?]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  Package is not known to require ExcludeArch
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[-]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[!]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on: F14 x86_64
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2643314
[x]  Package functions as described.
[x]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[-]  File based requires are sane.


=== Issues ===
1. The version packaged is not the latest. For some reason the upstream tarball for the packaged version have vanished from the upstream mirror. Therefor I didn't check the sha1sums of the sources.

=== Final Notes ===
1. So far this package looks good but for a final statement on approval the packaged version needs to be updated.

Comment 10 Petr Pisar 2010-12-06 12:08:36 UTC
Latest 5.0.10 version:

Spec URL: http://ppisar.fedorapeople.org/whois/whois.spec
SRPM URL: http://ppisar.fedorapeople.org/whois/whois-5.0.10-1.fc14.src.rpm

Spec file changes:
--- whois.spec.1	2010-09-29 17:18:21.000000000 +0200
+++ whois.spec	2010-12-06 12:55:23.102270950 +0100
@@ -1,5 +1,5 @@
 Name:       whois       
-Version:    5.0.7
+Version:    5.0.10
 Release:    1%{?dist}
 Summary:    Improved WHOIS client
 
@@ -76,6 +76,9 @@
 
 
 %changelog
+* Mon Dec 06 2010 Petr Pisar <ppisar@redhat.com> - 5.0.10-1
+- 5.0.10 bump
+
 * Wed Sep 29 2010 Petr Pisar <ppisar@redhat.com> - 5.0.7-1
 - 5.0.7 imported
 

Binary differences:
$ rpmdiff -i S -i 5 -i T whois-5.0.{7,10}-*
removed     REQUIRES config(whois) = 5.0.7-1.fc13
added       REQUIRES config(whois) = 5.0.10-1.fc14
removed     PROVIDES config(whois) = 5.0.7-1.fc13
removed     PROVIDES whois(x86-64) = 5.0.7-1.fc13
added       PROVIDES config(whois) = 5.0.10-1.fc14
added       PROVIDES whois(x86-64) = 5.0.10-1.fc14
added       /usr/share/doc/whois-5.0.10
added       /usr/share/doc/whois-5.0.10/COPYING
added       /usr/share/doc/whois-5.0.10/README
added       /usr/share/doc/whois-5.0.10/changelog
added       /usr/share/doc/whois-5.0.10/copyright
removed     /usr/share/doc/whois-5.0.7
removed     /usr/share/doc/whois-5.0.7/COPYING
removed     /usr/share/doc/whois-5.0.7/README
removed     /usr/share/doc/whois-5.0.7/changelog
removed     /usr/share/doc/whois-5.0.7/copyright

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2646576


Upstream changelog updates:

whois (5.0.10) unstable; urgency=medium

  * Added new IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Tue, 30 Nov 2010 23:51:59 +0100

whois (5.0.9) unstable; urgency=low

  * Added new IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Sun, 12 Nov 2010 22:24:42 +0100

whois (5.0.8) unstable; urgency=medium

  * Added the .xn--fzc2c9e2c (.ලංකා, Sri Lanka, Sinhala), .xn--mgbayh7gpa
    (.الاردن, Jordan) and .xn--pgbs0dh (.تونس, Tunisia) domains.
  * Added the .xn--o3cw4h (.ไทย, Thailand) and .xn--ygbi2ammx (.فلسطين,
    Palestinian Territory) TLD servers.
  * Updated the .bd and .ps TLD servers.
  * Removed the .lk TLD server.


Thank you for the review.

Comment 11 Petr Pisar 2011-03-02 15:59:14 UTC
Any interest in finishing this review?

Comment 12 Felix Kaechele 2011-03-02 20:27:47 UTC
Sorry, I totally missed it.

I just did a short check if there is anything that changed between my review and the update and everything is still fine.

In the meantime a new version (5.11) of whois was released. I checked it locally by just bumping the version and it did not introduce anything that would block an approval. So before importing just update to this version.

This package is APPROVED!

Comment 13 Petr Pisar 2011-03-03 09:09:48 UTC
New Package SCM Request
=======================
Package Name: whois
Short Description: Improved WHOIS client
Owners: ppisar
Branches: f15
InitialCC:

Comment 14 Jason Tibbitts 2011-03-05 17:01:53 UTC
Git done (by process-git-requests).

Comment 15 Petr Pisar 2011-03-07 10:33:05 UTC
Thanks to all of you for getting this package into Fedora.

Comment 16 Fedora Update System 2011-03-07 11:55:47 UTC
whois-5.0.11-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/whois-5.0.11-1.fc15

Comment 17 Fedora Update System 2011-03-12 04:43:06 UTC
whois-5.0.11-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.